%define module_name POE-Component-SmokeBox-Uploads-NNTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Email/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(POE.pm) perl(POE/Component/Client/NNTP.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/POE/Server/TCP.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Obtain uploaded CPAN modules via NNTP.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-smokebox-uploads-nntp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Component::SmokeBox::Uploads::NNTP is a the POE manpage component that alerts newly uploaded CPAN.distributions. It obtains this information from polling an NNTP server ( by default the `perl.cpan.uploads' group on `nntp.perl.org' ).

the POE::Component::Client::NNTP manpage is used to handle the interaction with the NNTP server.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/P*

%changelog
* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

